%------------------------------------------
label='Flex Spacecraft Response to Solar Array Stepper-Motor Disturbances';
label='Flex Spacecraft Response to 10 deg Pitch and 5 deg Gimbal Rotation Cmds';
r2d= 180/pi;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(time,atti*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(time,wb*r2d, 'LineWidth',1.5)
ylabel('Body Rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel('Time (sec)')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,gimb*r2d, 'LineWidth',1.5)
title('Telescope Gimbal Angles & Rates')
ylabel('Gimbal angle (deg)')
legend('Elavation','Azimuth');

subplot(2,1,2), plot(time,Grate*r2d, 'LineWidth',1.5)
ylabel('Gimbal rate (deg/sec)')
legend('Elavation','Azimuth');
xlabel('Time (sec)')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(time,Frcs, 'LineWidth',1.5)
title('RCS Forces and Telescope Gimbal Torques')
ylabel('RCS Forces (lb)')

subplot(2,1,2), plot(time,Gtrq, 'LineWidth',1.5)
ylabel('Gimbal Torques (ft-lb)')
legend('Elavation','Azimuth');
xlabel('Time (sec)')
%------------------------------------------
figure (5)
plot(gimb*r2d,Grate*r2d, 'LineWidth',1.5)
title('Gimbal Angles Versus Rates')
ylabel('Gimbal Rate (deg/sec)')
legend('Elavation','Azimuth');
xlabel('Gimbal Angle (deg)')
%------------------------------------------
figure (6)
subplot(2,1,1), plot(time,SA_pos*r2d, 'LineWidth',1.5)
title('SA Rotation Angles and Rates')
ylabel('SA Angle (deg)')
legend('Right SA','Left SA');

subplot(2,1,2), plot(time,SA_rate*r2d, 'LineWidth',1.5)
ylabel('SA Rate (deg/sec)')
legend('Right SA','Left SA');
xlabel('Time (sec)')
%------------------------------------------
