% Initialize Orbital Parameters
global d2r r2d
global cg nt Thr Jloc Jdir Ts
global ang_acl att_deadband kledge rate_lim low_rate_lim
[Avf, Bvf, Cvf, Dvf]= flex67;                    %  Load Flex Vehicle Model from Flixan

% RCS Jet Locations and Directions
d2r= pi/180; r2d=180/pi; Ts=0.0005;              % Sampling Period
cg=[-0.6, 1.2, 271.5]'/12;                       % CG Location (ft)
nt= 7; Thr=0.05;                                 % Number of thrusters=7, Thrust (lbf)
Jdir= zeros(3,nt); Jloc=Jdir;
Jdir(:,1)= [1,  0,  0]';                         % +X Top Centr
Jdir(:,2)= [1,  0,  0]';                         % +X Bot Centr
Jdir(:,3)= [0   1,  0]';                         % +Y Front Left
Jdir(:,4)= [0  -1,  0]';                         % -Y Front Rgiht
Jdir(:,5)= [0  -1,  0]';                         % -Y Back Right
Jdir(:,6)= [0   1,  0]';                         % +Y Back Left
Jdir(:,7)= [1   0,  0]';                         % +X Mid Centr

Jloc= [-28.35, 0.0, 216.90; ...    
       -28.35, 0.0, 296.10; ...
       15.25, -17.2, 297.63; ...
       15.25, 17.2, 297.63; ...
       -21.45, 8.5, 296.10; ...
       -21.45, -8.5, 296.10; ...
       -28.35, 0.0, 257.40]'/12;

% Phase Plane Logic
ang_acl     = [1,  1,  1]*0.4;                   % 1.5
att_deadband= [1,  1,  1]*1.0;                   % 0.5
kledge      = [1,  1,  1]*1.2;
rate_lim    = [1,  1,  1]*0.2;                   % 0.8
low_rate_lim= [1,  1,  1]*0.05;                  % 0.2

Iel=6.395; Iaz=1.89; Isa=3.17;                   %  Sensor Azimth, Elevat, Solar Array Inertias
omp=1; oms=0.2;                                  %  Bandwidths: Payload, Solar Array

% Compute Control System Gains
Kp4=Iel*omp*omp; Kr4=2*0.65*omp*Iel;             %.. Elevat. Gimbal Gains
Kp5=Iaz*omp*omp; Kr5=2*0.65*omp*Iaz;             %.. Azimuth Gimbal Gains
Kp6=Isa*oms*oms; Kr6=2*0.65*oms*Isa;             %.. Array Gimbal Gains
