%------------------------------------------
label='Non-Linear Model with 60 Flex Modes, Pitch Cmd=10 (deg)';
r2d= 180/pi; timd=time/3600;
%------------------------------------------
figure (1)
subplot(2,1,1), plot(timd,atti*r2d, 'LineWidth',1.5)
title(label)
ylabel('Attitude (LVLH) (deg)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wlv*r2d, 'LineWidth',1.5)
ylabel('LVLH rate (deg/sec)')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timd,wb*r2d, 'LineWidth',1.5)
title(label)
ylabel('Body Rate (deg/sec)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,wr*60/(2*pi), 'LineWidth',1.5)
ylabel('Wheel rates (rpm)')
legend('W1','W2','W3');
xlabel('Hours')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timd,Frcs, 'LineWidth',1.5)
title(label)
ylabel('RCS Forces (lb)')

subplot(2,1,2), plot(timd,Twic, 'LineWidth',1.5)
ylabel('RW(i) Torques (ft-lb)')
legend('W1','W2','W3');
xlabel('Hours')
%------------------------------------------
figure (5)
subplot(2,1,1), plot(timd,Hrwb, 'LineWidth',1.5)
title('Reaction Wheel Momentum and Torque in Body')
ylabel('Momentum (ft-lb)')
legend('roll','ptch','yaw');

subplot(2,1,2), plot(timd,Trwb, 'LineWidth',1.5)
ylabel('Torque (ft-lb)')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
figure (6)
plot(timd,Td, 'LineWidth',1.5)
title('Aero Disturbance Torque')
ylabel('(ft-lb)')
legend('roll','ptch','yaw');
xlabel('Hours')
%------------------------------------------
