function dot= Spacecraft(x,Tsc,Td,Tbs)         % s/c Dynamics with CMG
global JI Mgg M1 wo d2r r2d 

% dot= Spacecraft(x,Tsc,Td,Tbs)
% Spacecraft Linearized Dynamics in the Local Vertical Local Horizontal plane
% State Variables (x)
% x(1-3)   = vehicle body rates (rad/sec)
% x(4-6)   = Attitude in LVLH
% Inputs:
% Tsc(3)   = RW Total Torque [Trw_contr + gyrosc (wb x Hrw) ] (ft-lb)
% Td(3)    = External Torque (ft-lb)
% Tbs(3)   = Bias Torques (after linearization)

dot= zeros(6,1);
wb  = x(1:3);                                  % Vehicle body rates
the = x(4:6);                                  % Vehicle Atttitude LVLH

Tgg= Mgg*the;                                  % Gravity Gradient Torque
Tgy= M1*wb;                                    % Spacecraft Gyrosc Torque
dot(1:3) =  JI*(Tsc +Tgy +Td +Tgg +Tbs);       % Body accelerations wb-dot
dot(4:6) =  wb + wo*[the(3), 1, -the(1)]';     % LVLH Attitude -dot
