global J JI wo wo2 r2d d2r
global wbm M1 Mgg Hx0 Hy0 Hz0
global I11 I22 I33 I12 I32 I31 Tbs

r2d=180/pi; d2r=pi/180; Ts=0.001;                % Sampling Period (0.1 for rigid, 0.001 for flex)
wo= 0.00113; wo2=wo^2; decim=100;                % Orbital Rate 0.00113
Hx0=0; Hy0=-40; Hz0=0;                           % Bias pitch momentum
atto=[2, 1, -2]'*d2r;                            % Initial LVLH attitude
wb0= [0 -wo  0]'; wbm=sqrt(wb0'*wb0);            % Initial body rate & magnitude [0 -wo  0]'
Hco= [0, 0, 0]';                                 % Initial RW Momentum (body)
ini= [wb0; atto];                                % Spacecraft State Initializ.

J= [1045.3,  0,       19; ...                    % Moments of Inertia Matrix
    0,       641.02,  40; ...
    19,      40,      505.05]; JI=inv(J);
I11= J(1,1); I22= J(2,2); I33= J(3,3);
I12= J(1,2); I32= J(3,2); I31= J(3,1);

M1= wo*[I31,   2*I32, I33-I22; ...
       -I32,      0,      I12; ...
        I22-I11, -2*I12, -I31];
Mgg= 3*wo2*[I33-I22,    I12,  0; ...             % Gravity Gradient func attitude
            I12,    I33-I11,  0; ...
           -I31,   -I32,      0];
Tbs=(wo2)*[-2*I32, 3*I31, -I12]';                % Bias Torque (after linearization)
       
% Pitch Gain Design
ww=0.020; zet=0.8;                               % ACS bandwidth 0.025 (rad/sec)
Kq1= I22*ww^2 - 3*wo2*(I11-I33);                 % Position Gain
Kq2= 2*I22*zet*ww;                               % Rate Gain
Kqi= 0.0005;                                     % Integral Gain

% Yaw Design Gains
Kr1=(0.1*I11*I33*zet^2/Hy0) - sqrt( ((0.01^zet^4*I11^2*I33^2)/Hy0^2)+(4*I11*I33*zet^2) );
Kr2= 0.05*Kr1;
Kr3= 0.04*zet*(Kr2-Hy0) * sqrt(abs(Hy0/(I11*I33)));

[Avf, Bvf, Cvf, Dvf]= flex61;                    % Load Flex Only Model from Flixan
[Arf, Brf, Crf, Drf]= flex67;                    % Load Flex + Rigid Model from Flixan
Iel=6.395; Iaz=1.89; Isa=3.17;                   % Sensor Azimth, Elevat, Solar Array Inertias
omp=1; oms=0.2;                                  % Bandwidths: Payload, Solar Array

% Design a Roll Filter
H = tf( {[0.5^2]} , {[1 0.5 0.5^2]});            % 2nd order Low-Pass 0.5 (rad/sec)
HD=c2d(H,Ts,'zoh');                              % Discretize Filter
[num,den]=tfdata(HD,'v');