function R= Aq(r,q);
% Returns a vector R which was originally
% vector (r) rotated by quaternion (q)
% R= Aq(r,q)

A1= [q(1)^2 - q(2)^2 - q(3)^2 + q(4)^2 ...
    2*( q(1)*q(2) + q(3)*q(4) ) ...
    2*( q(1)*q(3) - q(2)*q(4) )];
    
A2= [2*( q(1)*q(2) - q(3)*q(4) ) ...
   -q(1)^2 + q(2)^2 - q(3)^2 + q(4)^2 ...
     2*( q(2)*q(3) + q(1)*q(4) )];
    
A3= [2*( q(1)*q(3) + q(2)*q(4) ) ...
     2*( q(2)*q(3) - q(1)*q(4) ) ...
   -q(1)^2 - q(2)^2 + q(3)^2 + q(4)^2];

R= [A1; A2; A3]'*r;