% Linear Analysis LinAnal.m
% Stability Analysis
[Ao,Bo,Co,Do]=dlinmod('Lin_Analysis',Ts);        % Discrete Open-Loop Analysis Model
[nr,nc]=size(Ao); E=diag(ones(nr,1));
sys=dss(Ao,Bo,Co,Do,E,Ts);                       % Prepare discrete SS model for
w=logspace(-3.7,3.1,180000);                     % frequency response analysis
figure(2); bode(sys,w); grid on
figure(3); nichols(sys,w)                        % for stability margins

% Sensitivity Analysis Calculations
[As,Bs,Cs,Ds]=dlinmod('Sensitiv_Analysis',Ts);   % Closed-Loop Sensit Analysis Model
[nr,nc]=size(As); E=diag(ones(nr,1));
sys2=dss(As,Bs,Cs,Ds,E,Ts);                      % Prepare discrete SS model for
w=logspace(-3,3,100000);                         % frequency response analysis
figure(4); sigma(sys2,w)                         % Singular values Plot

% Cryo Disturbance Characteristics
[A,B,C,D]=linmod('cryo');   
sys=ss(A,B,C,D);   
w=logspace(-3,4,800);         
figure(5); sigma(sys,w)    
