function [Q]=c2Q(c)
% c2Q
% [Q]=c2Q(c)
% Converts direction cosine matrix to quaternion
% Note q=[qv;q0]

m0=c(1,1)+c(2,2)+c(3,3);
m1=c(1,1); m2=c(2,2); m3=c(3,3);
ms=[m0;m1;m2;m3];
%[m,id]=max(ms(:));
m=m0; id=1;
if m1>m, m=m1; id=2;end
if m2>m, m=m2; id=3;end
if m3>m, m=m3; id=4;end
if id==1,
  q0=sqrt(1+m0)/2;
  q1=(c(2,3)-c(3,2))/4/q0;
  q2=(c(3,1)-c(1,3))/4/q0;
  q3=(c(1,2)-c(2,1))/4/q0;
elseif id==2,
  q1=sqrt(1+2*m1-m0)/2;
  q0=(c(2,3)-c(3,2))/4/q1;
  q2=(c(1,2)+c(2,1))/4/q1;
  q3=(c(3,1)+c(1,3))/4/q1;
elseif id==3,
  q2=sqrt(1+2*m2-m0)/2;
  q0=(c(3,1)-c(1,3))/4/q2;
  q3=(c(2,3)+c(3,2))/4/q2;
  q1=(c(1,2)+c(2,1))/4/q2;
else
  q3=sqrt(1+2*m3-m0)/2;
  q0=(c(1,2)-c(2,1))/4/q3;
  q1=(c(3,1)+c(1,3))/4/q3;
  q2=(c(2,3)+c(3,2))/4/q3;
end
Q=[q1;q2;q3;q0];
