function [QI2L,CI2L]= eci2lv(u_position,u_velocity);
%  [QI2L,CI2L]= eci2lv(u_position,u_velocity,rl2e);
%  Use current position and velocity of the s/c to define the
%  local horizontal local vertical (lvlh) reference frame relative
%  to the eci frame and compute the quaternion

t_eci_lvlh= zeros(3,3);
z= -u_position;
y= cross(z,u_velocity);             % y = (-u_posit X u_vel)
x= cross(y,z);                      % x = (y X z)
 
for i=1:3
    t_eci_lvlh(1,i)=x(i);
    t_eci_lvlh(2,i)=y(i);
    t_eci_lvlh(3,i)=z(i);
end

CI2L= unit_mat33(t_eci_lvlh);       % Cosine Matrix from ECI to LV
QI2L= c2Q(CI2L');                   % Quaternion from ECI to LV