%------------------------------------------
label='Desaturation at Constant Attitude in Presence of Aero Disturbances';
label='180 deg maneuver with disturb & desats about [1, 0, -0.2] using RCS and RW';
%------------------------------------------
r2d= 180/pi;
figure (1)
SUBPLOT(2,1,1), plot(time,wb*r2d)
ylabel('body rates (deg/s)')

SUBPLOT(2,1,2), plot(time,Euler*r2d)
ylabel('Vehicle attitude (deg)')
xlabel('Time')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,Gimb)
Title(label)
ylabel('Gimbal angle')

SUBPLOT(2,1,2), plot(time,Gimdot)
ylabel('Gimbal rate')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(3,1,1), plot(time,Twcb)
Title(label)
ylabel('RW Torque cmd (body) (ft-lb)')

SUBPLOT(3,1,2), plot(time,Trwi)
ylabel('Wheel(i) torque cmd (ft-lb)')

SUBPLOT(3,1,3), plot(time,Tdst)
ylabel('Extern disturb torque (ft-lb)')
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,rotat)
Title(label)
ylabel('Eigen-Rotation (deg)')

SUBPLOT(2,1,2), plot(time,exis)
ylabel('Eigen-Axis (eci)')
xlabel('Time')
%------------------------------------------
figure (5)
SUBPLOT(3,1,1), plot(time,Veci)
Title(label)
ylabel('Veloc (ECI) (ft/s)')

SUBPLOT(3,1,2), plot(time,alt)
ylabel('Altitude (ft)')

SUBPLOT(3,1,3), plot(time,Reci)
ylabel('ECI Position (ft)')
%------------------------------------------
figure (6)
SUBPLOT(2,1,1), plot(time,alfa)
Title(label)
ylabel('alpha-beta (deg)')

SUBPLOT(2,1,2), plot(time,Euler*r2d)
ylabel('Euler Angles (deg)')
xlabel('Time')
Sc= axis;
%------------------------------------------
figure (7) 
SUBPLOT(2,1,1), plot(time,qeu)
Title(label)
ylabel('Rotat Eigen-Axis')

SUBPLOT(2,1,2), semilogy(time,errd)
AXIS([0 Sc(2) 1.0e-3 4.0e+2]); GRID ON
ylabel('Angle Error (deg)')
xlabel('Time')
%------------------------------------------
figure (8)
plot(-qe*2*r2d, (wb-Wcom)*r2d)
Title(label)
GRID ON
xlabel('Att Error qe(1:3)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (9)
SUBPLOT(4,1,1), plot(time,exis)
Title(label)
ylabel('ECI 2 B Eivec')
SUBPLOT(4,1,2), plot(time,rotat)
ylabel('ECI 2 B Rotat')

SUBPLOT(4,1,3), plot(time,exis_lv)
ylabel('LV 2 B Eivec')
SUBPLOT(4,1,4), plot(time,rotat_lv)
ylabel('LV 2 B Rotat')
%------------------------------------------
figure (10)
SUBPLOT(2,1,1), plot(time,Tdst)
Title(label)
ylabel('Disturb Torq (ft-lb)')

SUBPLOT(2,1,2), plot(time,hsys)
ylabel('System Momentum (ft-lb-s)')
xlabel('Time')
%------------------------------------------
